%define anolis_release 1
Name:          gssdp
Version:       1.6.2
Release:       %{anolis_release}%{?dist}
Summary:       Resource discovery and announcement over SSDP

License:       LGPLv2+
URL:           http://www.gupnp.org/
Source0:       https://download.gnome.org/sources/gssdp/1.4/%{name}-%{version}.tar.xz
BuildRequires: gobject-introspection-devel >= 1.36
BuildRequires: pkgconfig(gi-docgen) >= 2021.1
BuildRequires: pkgconfig(gio-2.0) >= 2.54
BuildRequires: pkgconfig(glib-2.0) >= 2.54
BuildRequires: pkgconfig(gobject-2.0) >= 2.54
BuildRequires: pkgconfig(gtk4) >= 4
BuildRequires: pkgconfig(libsoup-3.0)
BuildRequires: meson >= 0.54.0
BuildRequires: vala >= 0.20
# for man-pages
BuildRequires: go-md2man

%description
GSSDP implements resource discovery and announcement over SSDP and is part 
of gUPnP.  GUPnP is an object-oriented open source framework for creating 
UPnP devices and control points, written in C using GObject and libsoup. The 
GUPnP API is intended to be easy to use, efficient and flexible.

%package devel
Summary: Development package for gssdp
Requires: %{name} = %{version}-%{release}

%description devel
Files for development with gssdp.

%package utils
Summary: Various GUI utuls for %{name}
Requires: %{name} = %{version}-%{release}

%description utils
This package contains GUI utilies for %{name}.

%package docs
Summary: Documentation files for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description docs
This package contains developer documentation for %{name}.

%prep
%autosetup -p1

%build
%meson -Dgtk_doc=true -Dmanpages=false
%meson_build

go-md2man --in doc/gssdp-device-sniffer.md --out doc/gssdp-device-sniffer.1


%install
%meson_install
install -D -p -m 0644 doc/gssdp-device-sniffer.1 %{buildroot}%{_mandir}/man1/gssdp-device-sniffer.1

%generate_compatibility_deps

%check
%meson_test

%files
%license COPYING
%{_libdir}/libgssdp-1.6.so.0*
%dir %{_libdir}/girepository-1.0
%{_libdir}/girepository-1.0/GSSDP-1.6.typelib
%dir %{abidir}
%{abidir}/*.dump

%files devel
%{_includedir}/gssdp-1.6/
%{_libdir}/libgssdp-1.6.so
%{_libdir}/pkgconfig/gssdp-1.6.pc
%dir %{_datadir}/gir-1.0
%{_datadir}/gir-1.0/GSSDP-1.6.gir
%dir %{_datadir}/vala
%dir %{_datadir}/vala/vapi
%{_datadir}/vala/vapi/gssdp*

%files utils
%{_bindir}/gssdp-device-sniffer
%{_mandir}/man1/gssdp-device-sniffer.1*
%{abidir}/gssdp-device-sniffer-option.list


%files docs
%doc AUTHORS NEWS README.md
%{_datadir}/doc/gssdp-1.6/

%changelog
* Thu Apr 06 2023 Chunmei Xu <xuchunmei@linux.alibaba.com> - 1.6.2-1
- udpate to 1.6.2 and switch to libsoup3

* Fri Nov 25 2022 Funda Wang <fundawang@yeah.net> - 1.4.1-1
- New version 1.4.1

* Thu Nov 03 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 1.4.0.1-2
- optimise spec file

* Fri Apr 08 2022 Chunmei Xu <xuchunmei@linux.alibaba.com> - 1.4.0.1-1
- init from upstream 1.4.0.1
